package com.steering.jobface.sale;

import java.util.Timer;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

/**
 * 后台线程 --项目一启动 就启动
 */
public class CoreOrderLinePrdcrServlet extends HttpServlet {
     private static final long serialVersionUID = -458386794215719132L;

    public void init() throws ServletException {

        System.out.println("--------------后台线程初始化中--------------------");
        // 监制信息维护 每5分钟执行一次
        new Timer().scheduleAtFixedRate(new CoreOrderLinePrdcrTask(), 0,
                5 * 60 * 1000);
        // 删除无效监制信息
        new Timer().scheduleAtFixedRate(new CoreOrderLinePrdcrClearTask(), 0,
                24 * 3600 * 1000);
        // 现货合同超过时间限制处理
        new Timer().scheduleAtFixedRate(new CoreOrderLineSpotLineTask(), 0,
                12 * 3600 * 1000);
        System.out.println("--------------后台线程初始化成功--------------------");
    }

}
